Charm for IBM MobileFirst Server 7.0


Overview
--------
This charm installs IBM Installation Manager and IBM MobileFirst Server products.

IBM MobileFirst Server 7.0:

IBM MobileFirst Server is the middleware tier that provides a gateway between back-end systems and services and the mobile client applications.
The server enables application authentication, data endpoints/services, data optimization and transformation, push notification management.
 
For details on IBM MobileFirst Server, as well as information on purchasing the product,
please visit: [Product Page] [mfs-product-page] and [IBM Knowledge Center] [mfs-v7-info]

IBM Installation Manager:
 
IBM Installation Manager is a tool that you can use to install and maintain your IBM software packages.
 
For details on IBM Installation Manager, as well as information on purchasing the product,
please visit: [IMProduct Info] [im-product-page] and [IBM Knowledge Center] [im-v1.7-info]

For Ubuntu (Power and x86_64),  IBM MobileFirst Server package and part number is:

          IBM MobileFirst Server 7.0 Installer (CN4V2EN)
   



Usage
-------
Download packages for IBM MobileFirst Server and IBM Installation Manager for Linux and upload it to your SFTP
repository. To download and install the code contained in this charm you must agree to the IBM license.

IBM Installation Manager license file(s) can be found under the `files/archives/licenses` directory on extraction of IBM IM software using the following command.

                      unzip <PackageName>     


To view IBM MobileFirst Server license file(s), please visit: [mfsproduct LicenseInfo] [license-page]




Deploy
-------
To deploy ibm-mobilefirst-server charm you need ibm-db2 and websphere-liberty charms.

The MobileFirst Server charm has to be deployed to a container that has the IBM WebSphere Liberty software installed.

IBM DB2 charm can be deployed in the same container where your websphere-liberty and ibm-mobilefirst-server charms are deployed or it can be deployed in a different container.


Steps to deploy ibm-mobilefirst-server charm, if you use `Remote Databse`:
        
    1. juju deploy websphere-liberty --to <machine-id1>

Please go through the websphere-liberty README file to deploy websphere-liberty charm. 

    2. juju deploy ibm-db2 --to <machine-id2>

Please go through the ibm-db2 README file to deploy the ibm-db2 charm.

    3. juju deploy ibm-mfs-helper
      
Please go through the ibm-mfs-helper README file to deploy the mfs-helper charm
         
    4. juju deploy ibm-mobilefirst-server --to <machine-id1>

Mobilefirst Server Charm downloads the install packages from an SFTP server that can be setup in your network. An action called 'download' is provided for the same:

       juju action do <unit name> download username=<sftp user>
       password=<sftp password> packagedir=<the absolute path
       packagedir> host=<sftp host name>

The packagedir path should end with a directory name that is same as this charm name (ibm-mobilefist-server) and should contain the packages that are to be downloaded.

At this point IBM MobileFirst Server and IBM Installation Manager install will wait for you to accept the License. To install the downloaded binaries you must agree to the IBM license.

     juju set ibm-mobilefirst-server accept-ibm-im-license=True
     juju set ibm-mobilefirst-server accept-ibm-mobilefirstserver-license=True
       

Now add relations between these charms in the following order:
      
    1. juju add-relation ibm-db2 ibm-mfs-helper
    2. juju add-relation ibm-mfs-helper ibm-mobilefirst-server   		   
    3. juju add-relation ibm-db2 ibm-mobilefirst-server		
    4. juju add-relation websphere-liberty ibm-mobilefirst-server
		
At this point mobilefirst server software will be installed.   


Steps to deploy mobilefirst sever charm, if you use `Local Database`:

       juju deploy ibm-db2 --to <machine-id1> 
       juju deploy websphere-liberty --to <machine-id1>
       juju deploy ibm-mobilefirst-server --to <machine-id1>

Now download build using below SFTP command:

       juju action do <unit name> download username=<sftp user>
       password=<sftp password> packagedir=<absolute path
       packagedir> host=<sftp host name>

At this point IBM MobileFirst Server and IBM Installation Manager install will wait for you to accept the License. To install the downloaded binaries you must agree to the IBM license.

    juju set ibm-mobilefirst-server accept-ibm-im-license=True
    juju set ibm-mobilefirst-server accept-ibm-mobilefirstserver-license=True

Now add relations between these charms in the following order:

    1. juju add-relation ibm-db2 ibm-mobilefirst-server
    2. juju add-relation websphere-liberty ibm-mobilefirst-server


After installing IBM MobileFirst server software open appcenter/worklight consoles as below
       
       https://<public IP>:9443/worklightconsole
       http://<public IP>:9081/worklightconsole

To login worklightconsole use admin/admin as userid/password.

       https://<public IP>:9443/appcenterconsole
       http://<public IP>:9081/appcenterconsole

To login appcenterconsole use appcenteradmin/admin as userid/password.


Configuration
-------------
See config.yaml file for more information.

`accept-ibm-mobilefirstserver-license`

The IBM MobileFirst Server software can only be used by accepting the terms and conditions for IBM
MobileFirst Server License. Setting this option to True indicates that you have read and accepted the
IBM MobileFirst Server terms and conditions found in the license file.                   

`accept-ibm-im-license`

The IBM Installation Manager software can only be used by accepting the terms and conditions for IBM
Installation Manager License. Setting this option to True indicates that you have read and accepted the
IBM Installation Manager terms and conditions found in the license file.

                                  
IBM Installation Manager(IM) Information
-----------------------------------------
(1) General Information
Details about IM available [here][im-info].

Details about IM Version 1.7 available at [IBM Knowledge Center][im-v1.7-info].

(2) Download Information
Information on procuring IM product is available at the [Product Page][im-product-page]
and at the [Passport Advantage Site][passport].


IBM MobileFirst Server information
-----------------------------------
(1) General Information
Details about MobileFirst Server 7.0 available at [IBM Knowledge Center][mfs-v7-info].

(2) Download Information
Information on procuring MobileFirst Server product is available at the [Product Page][mfs-product-page]
and at the [Passport Advantage Site][passport].

Contact Information
------------------

   For issues with this charm, please contact IBM Juju Support team <jujusupp@us.ibm.com>
 
<!-- Links -->

   [im-v1.7-info]: http://www-01.ibm.com/support/knowledgecenter/SSDV2W_1.7.0/com.ibm.cic.agent.ui.doc/helpindex_imic.html?cp=SSDV2W_1.7.0%2F0

   [im-product-page]: http://www-01.ibm.com/support/docview.wss?uid=swg27025142

   [mfs-product-page]: http://www.ibm.com/software/products/en/mobilefirstfoundation "MFS Info"

   [mfs-v7-info]: https://www-01.ibm.com/support/knowledgecenter/SSHS8R_7.0.0/com.ibm.worklight.installconfig.doc/install_config/t_ov_server_install.html
  
   [license-page]: http://www14.software.ibm.com/cgi-bin/weblap/lap.pl?la_formnum=&li_formnum=L-BVID-9TCPPM&title=IBM%20MobileFirst%20Platform%20Foundation%20V7.0%20zip%20of%20Installation%20Manager%20Repository%20for%20IBM%20MobileFirst%20Server%20Multiplatform%20English
  
